<template lang="pug">
b-card( title="Создать группу" )
	group-form( v-model='group' :loading='pending' @submit='submit' )
</template>

<script setup>
import GroupForm from "@/components/group/GroupForm.vue"

import { useGroupStore } from "@/stores/group"

import { ref } from "vue"
import { useRouter } from "vue-router"
import { useToast } from "vue-toastification"

const gs = useGroupStore()
const toast = useToast()
const $router = useRouter()

const group = ref(null)
const pending = ref(false)

const submit = async () => {
	try {
		if (pending.value) return
		if (!group.value.name?.trim()) return toast.warning("Вы не заполнили название группы")

		const body = group.value

		pending.value = true
		await gs.createGroup(body)
		pending.value = false

		$router.push({ name: "Groups" })
	} catch(err) {
		pending.value = false
	}
}
</script>